## org.freedesktop.NetworkManager.VPN.Connection org.freedesktop.NetworkManager.VPN.Connection — Active VPN Connection |

## Signals

    PropertiesChanged (a{sv} properties);
    VpnStateChanged   (u     state,
                       u     reason);

## Properties

    VpnState  readable   u
    Banner    readable   s

## Description

Represents an active connection to a Virtual Private Network.

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

### The "VpnStateChanged" signal

    VpnStateChanged (u state,
                     u reason);

Emitted when the state of the VPN connection has changed.

`u `state``: | (NMVpnConnectionState) The new state of the VPN connection.
`u `reason``: | (NMActiveConnectionStateReason) Reason code describing the change to the new state.

## Property Details

### The "VpnState" property

    VpnState  readable   u

The VPN-specific state of the connection.

Returns: NMVpnConnectionState

### The "Banner" property

    Banner  readable   s

The banner string of the VPN connection.